#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

with open("requirements.txt", "r") as fh:
    requirements = fh.readlines()

with open("requirements_dev.txt", "r") as fh:
    requirements_dev = fh.readlines() + requirements

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest>=3', ]

setup(
    author="Piotr Szymański",
    author_email='niedakh@gmail.com',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A n",
    entry_points={
        'console_scripts': [
            'sziszapangma=sziszapangma.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='sziszapangma',
    name='sziszapangma',
    packages=find_packages(include=['sziszapangma', 'sziszapangma.*']),
    setup_requires=requirements_dev,
    test_suite='tests',
    tests_require=requirements_dev,
    url='https://github.com/niedakh/sziszapangma',
    version='0.1.0',
    zip_safe=False,
)
